﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.Diagnostics;

namespace WindowsFormsApplication10
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_AfterColPosChanged(object sender, Infragistics.Win.UltraWinGrid.AfterColPosChangedEventArgs e)
        {
            int totalWidth = ultraGrid1.DisplayLayout.Bands[0].Columns.OfType<UltraGridColumn>().Where(p => p.Header.Fixed).Sum(s => s.Width);
            if (totalWidth >= ultraGrid1.Width)
            {
                e.ColumnHeaders[0].Column.ResetWidth();
            }
        }
    }
}
